<div [ngClass]="['home-carousel-topic', jds.mt(-60), jds.mb(100)]">
  <div [ngClass]="jds.container">
    <div [ngClass]="[jds.row]">
      <div [ngClass]="[jds.col(10), jds.offsetLg(1)]">
        <div [ngClass]="[jds.row, jds.rowCols(5)]">
          @if (vm.listTopicSatuData(); as list) {
            @switch (list.status) {
              @case ('loading') {
                <ng-container *ngTemplateOutlet="loading" />
              }
              @case ('success') {
                @if (list.data.list.length > 0) {
                  @for (item of list.data.list; track item.id) {
                    <div
                      [ngClass]="[jds.px(16), jds.my(16)]"
                      [style.--color]="jdsBiColor.blue['700']"
                    >
                      <a
                        [ngClass]="[jds.textDecoration('none')]"
                        [routerLink]="['/dataset']"
                        [queryParams]="{ topic: item.id }"
                      >
                        <div
                          [ngClass]="[
                            'box',
                            jds.h(200),
                            jds.py(55),
                            jds.px(24),
                            jds.bg('white'),
                            jds.textAlign('center'),
                            jds.rounded(8),
                            jds.border(1)
                          ]"
                        >
                          <img
                            [ngClass]="[jds.w('full'), jds.h(46)]"
                            [src]="env.backendURL + item.picture"
                            alt="Topik"
                            height="46"
                            width="132"
                            priority="false"
                          />
                          <div
                            [ngClass]="[
                              'title',
                              jds.fs(16),
                              jds.fw('bold'),
                              jds.mt(16)
                            ]"
                          >
                            {{ item.name }}
                          </div>
                        </div>
                      </a>
                    </div>
                  }
                } @else {
                  Tidak ada data.
                }
              }
            }
          }
        </div>
      </div>
    </div>
  </div>
</div>

<ng-template #loading>
  @for (number of [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]; track number) {
    <div [ngClass]="['wrapper-skeleton', jds.px(16), jds.my(16)]">
      <div
        [ngClass]="[
          jds.h(200),
          jds.py(55),
          jds.px(24),
          jds.bg('white'),
          jds.textAlign('center'),
          jds.rounded(8),
          jds.border(1)
        ]"
      >
        <ngx-skeleton-loader
          [theme]="{
            width: '100%',
            'border-radius': '0',
            height: '100%',
            'margin-bottom': '5px'
          }"
        />
      </div>
    </div>
  }
</ng-template>
